
From: Dave Hansen <haveblue@us.ibm.com>

The following patch applies on top of 2.6.12-rc2-mm1.  It fixes a minor
user interaction issue, and an early reference to SPARSEMEM.

This "choice" menu would always default to FLATMEM, as it was listed first.
 Move it to the end so that the other defaults have a chance first.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/Kconfig |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN mm/Kconfig~sparsemem-fix-minor-defaults-issue-in-mm-kconfig mm/Kconfig
--- 25/mm/Kconfig~sparsemem-fix-minor-defaults-issue-in-mm-kconfig	Wed Apr  6 16:27:22 2005
+++ 25-akpm/mm/Kconfig	Wed Apr  6 16:27:22 2005
@@ -1,8 +1,7 @@
 choice
 	prompt "Memory model"
-	default FLATMEM
-	default SPARSEMEM if ARCH_SPARSEMEM_DEFAULT
 	default DISCONTIGMEM if ARCH_DISCONTIGMEM_DEFAULT
+	default FLATMEM
 
 config FLATMEM
 	bool "Flat Memory"
_
